Workshop/Processes/{process}/Parts
Add parts to workshop process
Adds one or more articles/parts to an existing workshop process. Supports legacy field aliases.
AuthorizationBearer <token>
In: header
Path Parameters
processstring
articles?array<object>
Array of articles to add to the process
articles.*.article_id?string
Article reference code. Legacy alias: artnr
articles.*.quantity?string
Quantity to add. Must be greater than 0
articles.*.selling_price?string
Unit selling price. Legacy aliases: sellingprice, sellingpice
articles.*.designation?string
Article description. Legacy alias: design
articles.*.subfamily?string
Article subfamily. Legacy alias: lprod
articles.*.generic_article_number?string
Generic article number (TecDoc). Legacy alias: genartnr
Response Body
curl -X POST "https://og-tenant1.test:8003/api/v2/workshop/processes/string/parts" \
-H "Content-Type: application/json" \
-d '{}'{
"data": {
"count_added": 0,
"count_failed": 0
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}